#include "mainwindow.h"

#include <QDialog>
#include <QFileDialog>
#include <QPlainTextEdit>
#include <QTextDocumentWriter>
#include <QPrinter>
#include <QTextTable>
#include <QDesktopServices> 

MainWindow::MainWindow(QWidget *parent)
	: QMainWindow(parent)
{
	myUi_MainWindow = new Ui_MainWindow;
	myUi_MainWindow->setupUi(this);
	connect(myUi_MainWindow->actionWidgetTest1, &QAction::triggered, this, &MainWindow::spawnAction);
	
	show();
	myWidgetTest1 = new WidgetTest1(this);
	myTmTiVSDMAssistent = new TmTiVSDMAssistent;
}

MainWindow::~MainWindow()
{
}

void MainWindow::spawnAction(bool)
{
	myWidgetTest1->show();
}

WidgetTest1::WidgetTest1(QWidget *_parent) : QWidget(_parent, Qt::Window)
{
	myUi_WigetTest1 = new Ui_WigetTest1;
	myUi_WigetTest1->setupUi(this);
	connect(myUi_WigetTest1->pBAbbrechen, &QPushButton::clicked, this, &WidgetTest1::rxAbbrechen);
}
WidgetTest1::~WidgetTest1()
{
}

void WidgetTest1::rxAbbrechen()
{
	hide();
}

TmTiVSDMAssistent::TmTiVSDMAssistent()
{
	myUi_VSDMWidget = new Ui_VSDMWidget;
	myUi_VSDMWidget->setupUi(this);
	show();
}

TmTiVSDMAssistent::~TmTiVSDMAssistent()
{
}
