#pragma once

#include <QMainWindow>
#include <QPlainTextEdit>
#include <QTextDocumentWriter>
#include <QPrinter>
#include <QTextTable>

#include "ui_mainwindow.h"
#include "ui_uiVSDM.h"
#include "ui_uiWidgetTest1.h"

class Ui_MainWindow;
class WidgetTest1;
class TmTiVSDMAssistent;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
public slots:
	void spawnAction(bool);
private:
	Ui_MainWindow		*myUi_MainWindow;
	WidgetTest1			*myWidgetTest1;
	TmTiVSDMAssistent   *myTmTiVSDMAssistent;
};

class WidgetTest1 :public QWidget
{
	Q_OBJECT
public:

	WidgetTest1(QWidget *_parent = NULL);
	~WidgetTest1(void);
public slots:
	void rxAbbrechen(void);

private:
	Ui_WigetTest1 *myUi_WigetTest1;
};


class TmTiVSDMAssistent :public QWidget
{
	Q_OBJECT
public:

	TmTiVSDMAssistent(void);
	~TmTiVSDMAssistent(void);

public slots:
private:
	Ui_VSDMWidget *myUi_VSDMWidget;
};



